Registering extensions globally with -install-global-extension xxx.xpi does not register prefs

RESOLVED WORKSFORME

Status

()

Toolkit
Add-ons Manager
--
major
RESOLVED WORKSFORME
14 years ago
10 years ago

People

(Reporter: Robert Parenton, Assigned: Ben Goodger (use ben at mozilla dot org for email))

Tracking

1.7 Branch
x86
Windows XP
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

14 years ago
After using the -install-global-extension xxx.xpi command line switch to install
some extensions globally, none of the extensions that have an extension.js prefs
file had their prefs registered/loaded.

I was able to work around this problem by copying the extensions/[GUID for
extension]/defaults/preferences/extension.js to defaults/pref/extension.js

I reproduced this with the following extensions on the current nightly on XP,
all of which appear to be packaged properly according to
http://www.mozilla.org/projects/firefox/extensions/packaging/extensions.html :

Download Statusbar 0.9.1
Duplicate Tab 0.2
Tabbrowser Preferences v0.6.8
undoclosetab (20040617)
(Reporter)

Comment 1

14 years ago
This is something that needs to work properly for people/businesses trying to do
large deployments of customized packages, and would probably be good to have
fixed by 1.0.
Flags: blocking-aviary1.0?
Flags: blocking-aviary1.0? → blocking-aviary1.0+
worksforme with magpie (download from
http://www.bengoodger.com/software/tabloader/magpie3_1_2.xpi)

try removing bin/extensions, profile/chrome, profile/extensions and try again.
Status: NEW → RESOLVED
Last Resolved: 14 years ago
Resolution: --- → WORKSFORME
(Reporter)

Comment 3

14 years ago
This is not fixed in the latest Windows branch installer.  That nightly doesn't
even install that extension at all.
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
(Reporter)

Comment 4

14 years ago
Let me clarify that my previous comment was a clean install with a new profile
something's wrong with your extension or your machine. every example I've tried
works. 
Status: REOPENED → RESOLVED
Last Resolved: 14 years ago14 years ago
Resolution: --- → WORKSFORME
(Reporter)

Comment 6

14 years ago
I've tried YOUR extension on multiple machines with fresh Win2K and XP installs.
 Can anyone else confirm that it works?
(Reporter)

Comment 7

14 years ago
Ok, it appears to be working with all other extensions, but the extension you
linked to does not install properly for some reason.  So WFM now.
The magpie3_1_2.xpi installed fine for me globally.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3) Gecko/20041011
Firefox/0.10.1

Updated

14 years ago
Flags: blocking-aviary1.0+
Product: Firefox → Toolkit
You need to log in before you can comment on or make changes to this bug.